# H501_UpdateInformation_descriptorInfo Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_descriptorID, e_descriptor }

## Public Member Functions

| H501_UpdateInformation_descriptorInfo (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_GloballyUniqueID & ()
| operator const H225_GloballyUniqueID & () const
| operator H501_Descriptor & ()
| operator const H501_Descriptor & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_UpdateInformation_descriptorInfo::Choices

Enumerator:

  e_descriptorID |
  e_descriptor |

## Constructor & Destructor Documentation

H501_UpdateInformation_descriptorInfo::H501_UpdateInformation_descriptorInfo | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H501_UpdateInformation_descriptorInfo::operator H225_GloballyUniqueID & | ( |  | ) |

H501_UpdateInformation_descriptorInfo::operator const H225_GloballyUniqueID & | ( |  | ) | const

H501_UpdateInformation_descriptorInfo::operator H501_Descriptor & | ( |  | ) |

H501_UpdateInformation_descriptorInfo::operator const H501_Descriptor & | ( |  | ) | const

PBoolean H501_UpdateInformation_descriptorInfo::CreateObject | ( |  | ) |

PObject* H501_UpdateInformation_descriptorInfo::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h